Bug 215093 - /usr/lib/libasound.la is missing in alsa-lib-devel
/usr/lib/libasound.la is missing in alsa-lib-devel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
http://www.portaudio.com/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-10 16:45 EST by Yan Morin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 07:27:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adding libasound.la (885 bytes, patch)
2006-11-10 16:45 EST, Yan Morin
no flags Details | Diff

  None (edit)
Description Yan Morin 2006-11-10 16:45:06 EST
Description of problem:
I develop SFLphone package and I need libportaudiocpp (v2.0 or v19)
The libportaudiocpp needs the library libasound.la from alsa-lib-devel.
I found that in the alsa-lib.spec, this file is excluded. Is there a reason?

Version-Release number of selected component (if applicable):
alsa-lib 1.0.12

How reproducible:
always

Steps to Reproduce:
1. yum install alsa-lib-devel
2. rpm -ql alsa-lib-devel | grep libasound.la     
  
Actual results:
returns nothing, the file is excluded from -devel in the spec

Expected results:
alsa-lib-devel should include libasound.la

Additional info:
Portaudio snapshot:
http://portaudio.com/archives/pa_snapshot_v19.tar.gz
./configure --enable-cxx    (to build cpp binding and libportaudiocpp)

/bin/sh ../libtool --tag=CXX --mode=link g++  -g -O2 -Wall -ansi -pedantic   -o
libportaudiocpp.la -rpath /usr/local/lib -version-info 0:12:0 -no-undefined
BlockingStream.lo CallbackInterface.lo CallbackStream.lo CFunCallbackStream.lo
CppFunCallbackStream.lo Device.lo DirectionSpecificStreamParameters.lo
Exception.lo HostApi.lo InterfaceCallbackStream.lo MemFunCallbackStream.lo
Stream.lo StreamParameters.lo System.lo SystemDeviceIterator.lo
SystemHostApiIterator.lo ../../../lib/libportaudio.la 
grep: /usr/lib/gcc/i386-redhat-linux/4.0.2/../../..//libasound.la: No such file
or directory
/bin/sed: can't read
/usr/lib/gcc/i386-redhat-linux/4.0.2/../../..//libasound.la: No such file or
directory
libtool: link: `/usr/lib/gcc/i386-redhat-linux/4.0.2/../../..//libasound.la' is
not a valid libtool archive
make[2]: *** [libportaudiocpp.la] Error 1
make[2]: Leaving directory
`/home/users/ymorin/sflphone/sflphone/tools/portaudio/bindings/cpp/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/home/users/ymorin/sflphone/sflphone/tools/portaudio/bindings/cpp'
make: *** [all-recursive] Error 2

Note that you have to remove portaudio directory and untar the archive when you
add the libasound.la file and you want to test it after.


Patch to alsa-lib.spec: see attachment.
Comment 1 Yan Morin 2006-11-10 16:45:06 EST
Created attachment 140941 [details]
adding libasound.la
Comment 2 Martin Stransky 2006-11-13 07:27:34 EST
Yes, all *.la files were removed from Fedora and libtool is deprecated in FC6.
Use dynamic linking instead...

Note You need to log in before you can comment on or make changes to this bug.